WANDBOARD QUAD PHP PACKAGE ERROR

Yocto related software discussions are here

WANDBOARD QUAD PHP PACKAGE ERROR

Postby Must_ba » Sun Feb 05, 2017 1:52 pm

Hello guys ;

I have been working on the webserver application about 1 week , in my project I need to add php packages and php features to y image in yocto but I coundnt make it , I m finding the php packages with

fsl-community-bsp/build : bitbake -e php | grep "^PACKAGES="
the result is

PACKAGE: php-cli php-dev php-apache2- ...... and etc .

When I put these packages to the local.conf like IMAGE_INSTALL_append = " php-cli php-fpm php-dev ..."



I get a build error which is :





ERROR: php-staticdev not found in the base feeds (wandboard_quad cortexa9hf-vfp-neon-mx6qdl cortexa9hf-vfp-neon cortexa9hf-vfp armv7ahf-vfp-neon armv7ahf-vfp armv6hf-vfp armv5ehf-vfp armv5hf-vfp noarch any all).
acl-2.2.52-r0@cortexa9hf_vfp_neon acl-dbg-2.2.52-r0@cortexa9hf_vfp_neon acl-dev-2.2.52-r0@cortexa9hf_vfp_neon acl-doc-2.2.52-r0@cortexa9hf_vfp_neon acl-locale-de-2.2.52-r0@cortexa9hf_vfp_neon acl-locale-es-2.2.52-r0@cortexa9hf_vfp_neon acl-locale-fr-2.2.52-r0@cortexa9hf_vfp_neon acl-locale-gl-2.2.52-r0@cortexa9hf_vfp_neon acl-locale-pl-2.2.52-r0@cortexa9hf_vfp_neon acl-locale-sv-2.2.52-r0@cortexa9hf_vfp_neon acl-ptest-2.2.52-r0@cortexa9hf_vfp_neon alsa-conf-1.0.28-r0@cortexa9hf_vfp_neon_mx6qdl alsa-conf-base-1.0.28-r0@cortexa9hf_vfp_neon_mx6qdl alsa-lib-1.0.28-r0@cortexa9hf_vfp_neon_mx6qdl alsa-lib-dbg-1.0.28-r0@cortexa9hf_vfp_neon_mx6qdl alsa-lib-dev-1.0.28-r0@cortexa9hf_vfp_neon_mx6qdl alsa-server-1.0.28-r0@cortexa9hf_vfp_neon_mx6qdl alsa-state-0.2.0-r5@wandboard_quad alsa-state-dbg-0.2.0-r5@wandboard_quad alsa-state-dev-0.2.0-r5@wandboard_quad alsa-states-0.2.0-r5@wandboard_quad alsa-utils-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-aconnect-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-alsactl-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-alsaloop-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-alsamixer-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-alsaucm-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-amixer-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-aplay-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-aseqdump-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-aseqnet-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-dbg-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-dev-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-doc-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-iecset-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-locale-de-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-locale-fr-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-locale-ja-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-locale-ru-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-midi-1.0.28-r0@cortexa9hf_vfp_neon alsa-utils-speakertest-1.0.28-r0@cortexa9hf_vfp_neon apache2-2.4.10-r0@cortexa9hf_vfp_neon apache2-dbg-2.4.10-r0@cortexa9hf_vfp_neon apache2-dev-2.4.10-r0@cortexa9hf_vfp_neon apache2-doc-2.4.10-r0@cortexa9hf_vfp_neon apache2-scripts-2.4.10-r0@cortexa9hf_vfp_neon apm-3.2.2+14-r2@cortexa9hf_vfp_neon apmd-3.2.2+14-r2@cortexa9hf_vfp_neon apmd-dbg-3.2.2+14-r2@cortexa9hf_vfp_neon apmd-dev-3.2.2+14-r2@cortexa9hf_vfp_neon atftp-0.7.1+git0+be3291a18c-r3@cortexa9hf_vfp_neon atftp-dbg-0.7.1+git0+be3291a18c-r3@cortexa9hf_vfp_neon atftp-dev-0.7.1+git0+be3291a18c-r3@cortexa9hf_vfp_neon atftp-doc-0.7.1+git0+be3291a18c-r3@cortexa9hf_vfp_neon atftpd-0.7.1+git0+be3291a18c-r3@cortexa9hf_vfp_neon attr-2.4.47-r0@cortexa9hf_vfp_neon attr-dbg-2.4.47-r0@cortexa9hf_vfp_neon attr-dev-2.4.47-r0@cortexa9hf_vfp_neon attr-doc-2.4.47-r0@cortexa9hf_vfp_neon attr-locale-cs-2.4.47-r0@cortexa9hf_vfp_neon attr-locale-de-2.4.47-r0@cortexa9hf_vfp_neon attr-locale-es-2.4.47-r0@cortexa9hf_vfp_neon attr-locale-fr-2.4.47-r0@cortexa9hf_vfp_neon attr-locale-gl-2.4.47-r0@cortexa9hf_vfp_neon attr-locale-nl-2.4.47-r0@cortexa9hf_vfp_neon attr-locale-pl-2.4.47-r0@cortexa9hf_vfp_neon attr-locale-sv-2.4.47-r0@cortexa9hf_vfp_neon attr-ptest-2.4.47-r0@cortexa9hf_vfp_neon autoconf-2.69-r11@cortexa9hf_vfp_neon autoconf-dbg-2.69-r11@cortexa9hf_vfp_neon autoconf-dev-2.69-r11@cortexa9hf_vfp_neon autoconf-doc-2.69-r11@cortexa9hf_vfp_neon automake-1.14.1-r0@cortexa9hf_vfp_neon automake-dbg-1.14.1-r0@cortexa9hf_vfp_neon automake-dev-1.14.1-r0@cortexa9hf_vfp_neon automake-doc-1.14.1-r0@cortexa9hf_vfp_neon avahi-autoipd-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-daemon-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-dbg-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-dev-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-dnsconfd-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-doc-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-bg-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-ca-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-cs-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-da-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-de-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-el-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-en-au-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-en-ca-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-en-gb-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-en-nz-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-es-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-fi-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-fo-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-fr-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-gl-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-he-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-hu-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-id-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-it-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-ja-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-ms-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-nl-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-pl-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-pt-br-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-ro-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-ru-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-sl-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-sr-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-sr+latin-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-sv-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-uk-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-zh-cn-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-locale-zh-tw-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-staticdev-0.6.31-r11.1@cortexa9hf_vfp_neon avahi-utils-0.6.31-r11.1@cortexa9hf_vfp_neon base-files-3.0.14-r89@wandboard_quad base-files-dbg-3.0.14-r89@wandboard_quad base-files-dev-3.0.14-r89@wandboard_quad base-files-doc-3.0.14-r89@wandboard_quad base-passwd-3.5.29-r0@cortexa9hf_vfp_neon base-passwd-dbg-3.5.29-r0@cortexa9hf_vfp_neon base-passwd-dev-3.5.29-r0@cortexa9hf_vfp_neon base-passwd-doc-3.5.29-r0@cortexa9hf_vfp_neon base-passwd-update-3.5.29-r0@cortexa9hf_vfp_neon bash-4.3-r0@cortexa9hf_vfp_neon bash-dbg-4.3-r0@cortexa9hf_vfp_neon bash-dev-4.3-r0@cortexa9hf_vfp_neon bash-doc-4.3-r0@cortexa9hf_vfp_neon bash-ptest-4.3-r0@cortexa9hf_vfp_neon bc-1.06-r2@cortexa9hf_vfp_neon bc-dbg-1.06-r2@cortexa9hf_vfp_neon bc-dev-1.06-r2@cortexa9hf_vfp_neon bc-doc-1.06-r2@cortexa9hf_vfp_neon bcm4329-nvram-config-1.0-r0@wandboard_quad bcm4329-nvram-config-dbg-1.0-r0@wandboard_quad bcm4329-nvram-config-dev-1.0-r0@wandboard_quad bcm4330-nvram-config-1.0-r0@wandboard_quad bcm4330-nvram-config-dbg-1.0-r0@wandboard_quad bcm4330-nvram-config-dev-1.0-r0@wandboard_quad binutils-2.24-r0@cortexa9hf_vfp_neon binutils-dbg-2.24-r0@cortexa9hf_vfp_neon binutils-dev-2.24-r0@cortexa9hf_vfp_neon binutils-doc-2.24-r0@cortexa9hf_vfp_neon binutils-locale-bg-2.24-r0@cortexa9hf_vfp_neon binutils-locale-da-2.24-r0@cortexa9hf_vfp_neon binutils-locale-de-2.24-r0@cortexa9hf_vfp_neon binutils-locale-eo-2.24-r0@cortexa9hf_vfp_neon binutils-locale-es-2.24-r0@cortexa9hf_vfp_neon binutils-locale-fi-2.24-r0@cortexa9hf_vfp_neon binutils-locale-fr-2.24-r0@cortexa9hf_vfp_neon binutils-locale-ga-2.24-r0@cortexa9hf_vfp_neon binutils-locale-hr-2.24-r0@cortexa9hf_vfp_neon binutils-locale-id-2.24-r0@cortexa9hf_vfp_neon binutils-locale-it-2.24-r0@cortexa9hf_vfp_neon binutils-locale-ja-2.24-r0@cortexa9hf_vfp_neon binutils-locale-ms-2.24-r0@cortexa9hf_vfp_neon binutils-locale-nl-2.24-r0@cortexa9hf_vfp_neon binutils-locale-pt-br-2.24-r0@cortexa9hf_vfp_neon binutils-locale-ro-2.24-r0@cortexa9hf_vfp_neon binutils-locale-ru-2.24-r0@cortexa9hf_vfp_neon binutils-locale-rw-2.24-r0@cortexa9hf_vfp_neon binutils-locale-sk-2.24-r0@cortexa9hf_vfp_neon binutils-locale-sr-2.24-r0@cortexa9hf_vfp_neon binutils-locale-sv-2.24-r0@cortexa9hf_vfp_neon binutils-locale-tr-2.24-r0@cortexa9hf_vfp_neon binutils-locale-uk-2.24-r0@cortexa9hf_vfp_neon binutils-locale-vi-2.24-r0@cortexa9hf_vfp_neon binutils-locale-zh-cn-2.24-r0@cortexa9hf_vfp_neon binutils-locale-zh-tw-2.24-r0@cortexa9hf_vfp_neon binutils-staticdev-2.24-r0@cortexa9hf_vfp_neon bison-2.7.1-r0@cortexa9hf_vfp_neon bison-dbg-2.7.1-r0@cortexa9hf_vfp_neon bison-dev-2.7.1-r0@cortexa9hf_vfp_neon bison-doc-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-ast-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-da-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-de-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-el-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-eo-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-es-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-et-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-fi-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-fr-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-ga-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-gl-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-hr-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-hu-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-id-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-it-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-ja-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-ky-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-lt-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-lv-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-ms-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-nb-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-nl-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-pl-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-pt-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-pt-br-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-ro-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-ru-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-sl-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-sq-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-sr-2.7.1-r0@cortexa9hf_vfp_neon bison-locale-sv-2.7.1-........



I'm using dizzy branch and my kernel version is 3.10.17

I need to solve this issue but I ' m getting hopeless about it . Do you have any suggestion or do I missing something ?

I stuck on this .
Must_ba
 
Posts: 22
Joined: Thu Jan 19, 2017 11:07 pm

Re: WANDBOARD QUAD PHP PACKAGE ERROR

Postby Richard » Fri Feb 10, 2017 2:09 am

Hello, Must_ba:

This PHP error seems the existing bugs in Yocto dizzy branch.
There is a long discussion here:
https://github.com/gumstix/yocto-manifest/issues/59

As the discussion, this bug is already fixed in Yocto master branch, but it's not back-port to dizzy branch.
http://lists.openembedded.org/pipermail ... 00835.html
http://lists.openembedded.org/pipermail ... 70097.html

The patch is here:
https://patchwork.openembedded.org/patch/85813/

I don't try this patch in practice. Hope this information is helpful for you. :)

BR,

Richard
Richard
Site Admin
 
Posts: 134
Joined: Tue Dec 17, 2013 6:57 am

Re: WANDBOARD QUAD PHP PACKAGE ERROR

Postby Must_ba » Fri Feb 10, 2017 9:40 am

Hi Richard;
Thank you for your feed back :) , I think there is some progress with these patch but I m still get error message ,
and you are my man :) thank you again because I think there is nobody struggle with this things in here :D


Initialising tasks: 100% |#######################################| Time: 0:00:09
NOTE: Executing SetScene Tasks
WARNING: Logfile for failed setscene task is /home/mustafa/fsl-community-bsp/build/tmp/work/x86_64-linux/php-native/7.1.0-r0/temp/log.do_populate_sysroot_setscene.15808
WARNING: Setscene task (virtual:native:/home/mustafa/fsl-community-bsp/sources/meta-openembedded/meta-oe/recipes-devtools/php/php_7.1.0.bb:do_populate_sysroot_setscene) failed with exit code '1' - real task will be run instead
NOTE: Executing RunQueue Tasks
ERROR: php-7.1.0-r0 do_patch: Command Error: 'quilt --quiltrc /home/mustafa/fsl-community-bsp/build/tmp/work/armv7at2hf-neon-fslc-linux-gnueabi/php/7.1.0-r0/recipe-sysroot-native/etc/quiltrc push' exited with 0 Output:
Applying patch pthread-check-threads-m4.patch
patching file TSRM/threads.m4
Hunk #1 FAILED at 86.
1 out of 1 hunk FAILED -- rejects in file TSRM/threads.m4
Patch pthread-check-threads-m4.patch does not apply (enforce with -f)
ERROR: php-7.1.0-r0 do_patch: Function failed: patch_do_patch
ERROR: Logfile of failure stored in: /home/mustafa/fsl-community-bsp/build/tmp/work/armv7at2hf-neon-fslc-linux-gnueabi/php/7.1.0-r0/temp/log.do_patch.16316
ERROR: Task (/home/mustafa/fsl-community-bsp/sources/meta-openembedded/meta-oe/recipes-devtools/php/php_7.1.0.bb:do_patch) failed with exit code '1'
Must_ba
 
Posts: 22
Joined: Thu Jan 19, 2017 11:07 pm

Re: WANDBOARD QUAD PHP PACKAGE ERROR

Postby Richard » Fri Feb 10, 2017 10:23 am

Hello, Must_ba:

It looks the error results from "pthread-check-threads-m4.patch".
Could you try to take out this patch in php_5.5.15.bb to see what happens ?

Code: Select all
+++ b/meta-oe/recipes-devtools/php/php_5.5.15.bb
 SRC_URI = "http://php.net/distributions/php-${PV}.tar.bz2 \
            file://acinclude-xml2-config.patch \
@@ -28,6 +24,9 @@  SRC_URI_append_class-target += " \
             file://php_exec_native.patch \
             file://php-fpm.conf \
             file://php-fpm-apache.conf \
             file://configure.patch \
-            file://pthread-check-threads-m4.patch \
             file://70_mod_php5.conf \
           "
Richard
Site Admin
 
Posts: 134
Joined: Tue Dec 17, 2013 6:57 am

Re: WANDBOARD QUAD PHP PACKAGE ERROR

Postby Must_ba » Fri Feb 10, 2017 1:12 pm

Hi Richard;

I think we are getting closer with your help , I have a do_install error massage ;
ERROR: php-7.1.0-r0 do_install: Function failed: do_install (log file is located at /home/mustafa/fsl-community-bsp/build/tmp/work/armv7at2hf-neon-fslc-linux-gnueabi/php/7.1.0-r0/temp/log.do_install.11291)
ERROR: Logfile of failure stored in: /home/mustafa/fsl-community-bsp/build/tmp/work/armv7at2hf-neon-fslc-linux-gnueabi/php/7.1.0-r0/temp/log.do_install.11291
...
...
...
...
....

ERROR: Task (/home/mustafa/fsl-community-bsp/sources/meta-openembedded/meta-oe/recipes-devtools/php/php_7.1.0.bb:do_install) failed with exit code '1'

Summary: 1 task failed:
/home/mustafa/fsl-community-bsp/sources/meta-openembedded/meta-oe/recipes-devtools/php/php_7.1.0.bb:do_install
Summary: There was 1 ERROR message shown, returning a non-zero exit code.
Must_ba
 
Posts: 22
Joined: Thu Jan 19, 2017 11:07 pm


Re: WANDBOARD QUAD PHP PACKAGE ERROR

Postby Richard » Mon Feb 13, 2017 2:57 am

Hello, Must_ba:

I refer to the link, and finally git rid of the compilation error.
http://lists.openembedded.org/pipermail/openembedded-commits/2015-January/170064.html

Modify meta-oe/recipes-devtools/php/php_5.4.36.bb :
Code: Select all
-PACKAGES = "${PN}-dbg ${PN}-cli ${PN}-cgi ${PN}-fpm ${PN}-fpm-apache2 ${PN}-pea
+PACKAGES = "${PN}-dbg ${PN}-cli ${PN}-cgi ${PN}-fpm ${PN}-fpm-apache2 ${PN}-pea

 RDEPENDS_${PN}-pear = "${PN}"
+RDEPENDS_${PN}-phar = "${PN}-cli"
 RDEPENDS_${PN}-cli = "${PN}"
 RDEPENDS_${PN}-dev = "${PN}"

@@ -125,6 +126,7 @@ inherit update-rc.d
 FILES_${PN}-dbg =+ "${bindir}/.debug"
 FILES_${PN}-doc += "${libdir}/php/doc"
 FILES_${PN}-cli = "${bindir}/php"
+FILES_${PN}-phar = "${bindir}/phar*"
 FILES_${PN}-cgi = "${bindir}/php-cgi"
 FILES_${PN}-fpm = "${sbindir}/php-fpm ${sysconfdir}/php-fpm.conf ${datadir}/fpm
 FILES_${PN}-fpm-apache2 = "${sysconfdir}/apache2/conf.d/php-fpm.conf"


Then add the following packages in local.conf.
(if i add the "php-staticdev", and it always runs into "missing /usr/bin/php" error. So, i remove it from append PHP package.)
Code: Select all
IMAGE_INSTALL_append = " php-dbg php-cli php-cgi php-fpm php-fpm-apache2 php-pear php-dev php-doc php"


At least it's able to finish the build of core-image-minimal.
But I'm not sure the all the PHP package you require are included in this package.
There are some php issues in dizzy branch.
I would suggest to try fido or jethro branch to get rid of this kind of trouble.

BR,

Richard
Richard
Site Admin
 
Posts: 134
Joined: Tue Dec 17, 2013 6:57 am

Re: WANDBOARD QUAD PHP PACKAGE ERROR

Postby Must_ba » Mon Mar 20, 2017 2:48 am

Hi Richard ;

I m sorry I respond too late but the Jethro Branch is more stable for Wandboard and the PHP Packages can be installed except php-staticdev as you said .

Thanks for your help Richard ;)
Must_ba
 
Posts: 22
Joined: Thu Jan 19, 2017 11:07 pm


Return to Software - Yocto

Who is online

Users browsing this forum: No registered users and 12 guests